मुख्य सामग्री पर जाएं
GET
/
exports
/
{exportId}
Get export state and fresh download URL
curl --request GET \
  --url https://api.youka.io/api/v1/exports/{exportId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.youka.io/api/v1/exports/{exportId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.youka.io/api/v1/exports/{exportId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>",
  "error": "<string>",
  "fileId": "<string>",
  "filename": "<string>",
  "fileExtension": "<string>",
  "resolution": "<string>",
  "quality": "<string>",
  "fps": 123,
  "transparent": true,
  "downloadUrl": "<string>"
}

प्राधिकरण

Authorization
string
header
आवश्यक

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

पथ पैरामीटर

exportId
string
आवश्यक

प्रतिक्रिया

200 - application/json

Export state

id
string
आवश्यक
status
enum<string>
आवश्यक
उपलब्ध विकल्प:
created,
queued,
in-progress,
completed,
failed,
cancelled,
timed-out,
finalized
error
string | null
fileId
string | null
filename
string
Minimum string length: 1
fileExtension
string
resolution
string
quality
string
fps
transparent
boolean
renderMode
enum<string>
उपलब्ध विकल्प:
standard,
fast
renderBackend
enum<string>
उपलब्ध विकल्प:
batch,
lambda
downloadUrl
string<uri> | null